libfreehand::FHBoundingBox Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libfreehand::FHBoundingBox Struct Reference

`#include <FHTypes.h>`

## Public Member Functions
| FHBoundingBox ()
| FHBoundingBox (const FHBoundingBox &bBox)
void | merge (const FHBoundingBox &bBox)
bool | isValid () const

## Public Attributes
double | m_xmin
double | m_ymin
double | m_xmax
double | m_ymax

## Constructor & Destructor Documentation

libfreehand::FHBoundingBox::FHBoundingBox | ( |  | ) |
| inline

libfreehand::FHBoundingBox::FHBoundingBox | ( | const FHBoundingBox & | bBox | ) |
| inline

## Member Function Documentation

bool libfreehand::FHBoundingBox::isValid | ( |  | ) | const
| inline

Referenced by libfreehand::FHCollector::_appendTileFill().

void libfreehand::FHBoundingBox::merge | ( | const FHBoundingBox & | bBox | ) |
| inline

Referenced by libfreehand::FHCollector::_getBBofClipGroup(), libfreehand::FHCollector::_getBBofCompositePath(), libfreehand::FHCollector::_getBBofDisplayText(), libfreehand::FHCollector::_getBBofGroup(), libfreehand::FHCollector::_getBBofImageImport(), libfreehand::FHCollector::_getBBofPath(), libfreehand::FHCollector::_getBBofSomething(), libfreehand::FHCollector::_getBBofSymbolInstance(), and libfreehand::FHCollector::_getBBofTextObject().

## Member Data Documentation

double libfreehand::FHBoundingBox::m_xmax

Referenced by libfreehand::FHCollector::_appendTileFill(), libfreehand::FHCollector::_getBBofDisplayText(), libfreehand::FHCollector::_getBBofImageImport(), libfreehand::FHCollector::_getBBofPath(), libfreehand::FHCollector::_getBBofTextObject(), libfreehand::FHCollector::_outputClipGroup(), libfreehand::FHCollector::_outputPath(), and merge().

double libfreehand::FHBoundingBox::m_xmin

Referenced by libfreehand::FHCollector::_appendTileFill(), libfreehand::FHCollector::_getBBofDisplayText(), libfreehand::FHCollector::_getBBofImageImport(), libfreehand::FHCollector::_getBBofPath(), libfreehand::FHCollector::_getBBofTextObject(), libfreehand::FHCollector::_outputClipGroup(), libfreehand::FHCollector::_outputPath(), and merge().

double libfreehand::FHBoundingBox::m_ymax

Referenced by libfreehand::FHCollector::_appendTileFill(), libfreehand::FHCollector::_getBBofDisplayText(), libfreehand::FHCollector::_getBBofImageImport(), libfreehand::FHCollector::_getBBofPath(), libfreehand::FHCollector::_getBBofTextObject(), libfreehand::FHCollector::_outputClipGroup(), libfreehand::FHCollector::_outputPath(), and merge().

double libfreehand::FHBoundingBox::m_ymin

Referenced by libfreehand::FHCollector::_appendTileFill(), libfreehand::FHCollector::_getBBofDisplayText(), libfreehand::FHCollector::_getBBofImageImport(), libfreehand::FHCollector::_getBBofPath(), libfreehand::FHCollector::_getBBofTextObject(), libfreehand::FHCollector::_outputClipGroup(), libfreehand::FHCollector::_outputPath(), and merge().

The documentation for this struct was generated from the following file:

- FHTypes.h